MailProperties (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.MailProperties interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Interface MailProperties

    public interface MailProperties

Mail properties that are sent on the DefaultMuleMessage when receiving a Mail Message or which can be set on the endpoint or event to be added to outgoing mail

Field Summary
`static String` | `BCC_ADDRESSES_PROPERTY`
`static String` | `CC_ADDRESSES_PROPERTY`
`static String` | `CONTENT_TYPE_PROPERTY` MuleEvent properties
`static String` | `CUSTOM_HEADERS_MAP_PROPERTY`
`static String` | `FROM_ADDRESS_PROPERTY`
`static String` | `INBOUND_BCC_ADDRESSES_PROPERTY`
`static String` | `INBOUND_CC_ADDRESSES_PROPERTY`
`static String` | `INBOUND_CONTENT_TYPE_PROPERTY`
`static String` | `INBOUND_CUSTOM_HEADERS_MAP_PROPERTY`
`static String` | `INBOUND_FROM_ADDRESS_PROPERTY`
`static String` | `INBOUND_REPLY_TO_ADDRESSES_PROPERTY`
`static String` | `INBOUND_SENT_DATE_PROPERTY`
`static String` | `INBOUND_SUBJECT_PROPERTY`
`static String` | `INBOUND_TO_ADDRESSES_PROPERTY`
`static String` | `REPLY_TO_ADDRESSES_PROPERTY`
`static String` | `SENT_DATE_PROPERTY`
`static String` | `SUBJECT_PROPERTY`
`static String` | `TO_ADDRESSES_PROPERTY`

Field Detail

### CONTENT_TYPE_PROPERTY

    static final String CONTENT_TYPE_PROPERTY

  MuleEvent properties

  See Also:
    Constant Field Values

### TO_ADDRESSES_PROPERTY

    static final String TO_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### CC_ADDRESSES_PROPERTY

    static final String CC_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### BCC_ADDRESSES_PROPERTY

    static final String BCC_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### FROM_ADDRESS_PROPERTY

    static final String FROM_ADDRESS_PROPERTY

See Also:
  Constant Field Values

### REPLY_TO_ADDRESSES_PROPERTY

    static final String REPLY_TO_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### SUBJECT_PROPERTY

    static final String SUBJECT_PROPERTY

See Also:
  Constant Field Values

### CUSTOM_HEADERS_MAP_PROPERTY

    static final String CUSTOM_HEADERS_MAP_PROPERTY

See Also:
  Constant Field Values

### SENT_DATE_PROPERTY

    static final String SENT_DATE_PROPERTY

See Also:
  Constant Field Values

### INBOUND_CONTENT_TYPE_PROPERTY

    static final String INBOUND_CONTENT_TYPE_PROPERTY

See Also:
  Constant Field Values

### INBOUND_TO_ADDRESSES_PROPERTY

    static final String INBOUND_TO_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### INBOUND_CC_ADDRESSES_PROPERTY

    static final String INBOUND_CC_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### INBOUND_BCC_ADDRESSES_PROPERTY

    static final String INBOUND_BCC_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### INBOUND_FROM_ADDRESS_PROPERTY

    static final String INBOUND_FROM_ADDRESS_PROPERTY

See Also:
  Constant Field Values

### INBOUND_REPLY_TO_ADDRESSES_PROPERTY

    static final String INBOUND_REPLY_TO_ADDRESSES_PROPERTY

See Also:
  Constant Field Values

### INBOUND_SUBJECT_PROPERTY

    static final String INBOUND_SUBJECT_PROPERTY

See Also:
  Constant Field Values

### INBOUND_CUSTOM_HEADERS_MAP_PROPERTY

    static final String INBOUND_CUSTOM_HEADERS_MAP_PROPERTY

See Also:
  Constant Field Values

### INBOUND_SENT_DATE_PROPERTY

    static final String INBOUND_SENT_DATE_PROPERTY

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.